de.esprit.netsuite.server.auth.dbuser

## Class DBGroupManager

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<S>
      - - de.esprit.netsuite.server.AbstractInitializableServerObject<S>
        - - de.esprit.netsuite.server.auth.AbstractGroupManager
          - - de.esprit.netsuite.server.auth.dbuser.DBGroupManager

- All Implemented Interfaces:
    ApplicationObject, Initializable, SimpleLogSupport, Dumpable, GroupManager, PermissionControlled, ServerObject

      public class DBGroupManager
      extends AbstractGroupManager

  This is a custom implementation of a GroupManager. It maintains groups in a database table named 'esprit_group'.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.netsuite.server.auth.AbstractGroupManager

      `permissionDef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBGroupManager(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `performDeleteGroup(SessionId callerSessId, Group group)`
    `protected Group` | `performInsertGroup(SessionId callerSessId, Group group, java.util.List groupList)`
    `protected void` | `performUpdateGroup(SessionId callerSessId, Group group)`
    `protected void` | `read(java.util.List groupList)`

    - ### Methods inherited from class de.esprit.netsuite.server.auth.AbstractGroupManager

      `deleteGroup, existsGroup, fetchGroupByName, findGroupByName, getGroupConfigFile, getGroupCount, getGroupList, getGroups, getPermissionDefinition, init, insertGroup, nextGroupId, updateGroup`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractInitializableServerObject

      `checkInitialized, isInitialized, setInitialized, toString`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DBGroupManager

          public DBGroupManager(ServerContext serverCtx)
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### performInsertGroup

          protected Group performInsertGroup(SessionId callerSessId,
                                 Group group,
                                 java.util.List groupList)
                                      throws java.lang.Exception

      Specified by:
        `performInsertGroup` in class `AbstractGroupManager`
      Throws:
        `java.lang.Exception`

    - #### performUpdateGroup

          protected void performUpdateGroup(SessionId callerSessId,
                                Group group)
                                     throws java.lang.Exception

      Specified by:
        `performUpdateGroup` in class `AbstractGroupManager`
      Throws:
        `java.lang.Exception`

    - #### performDeleteGroup

          protected void performDeleteGroup(SessionId callerSessId,
                                Group group)
                                     throws java.lang.Exception

      Specified by:
        `performDeleteGroup` in class `AbstractGroupManager`
      Throws:
        `java.lang.Exception`

    - #### read

          protected void read(java.util.List groupList)
                       throws java.lang.Exception

      Specified by:
        `read` in class `AbstractGroupManager`
      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.